import request from '@/utils/request'

// 查询能源子系统列表
export function listSubsystem(query) {
  return request({
    url: '/ems/subsystem/list',
    method: 'get',
    params: query
  })
}

// 查询能源子系统列表
export function listSubsystemAll(query) {
  return request({
    url: '/ems/subsystem/listAll',
    method: 'get',
    params: query
  })
}

// 查询能源子系统详细
export function getSubsystem(id) {
  return request({
    url: '/ems/subsystem/' + id,
    method: 'get'
  })
}

// 新增能源子系统
export function addSubsystem(data) {
  return request({
    url: '/ems/subsystem',
    method: 'post',
    data: data
  })
}

// 修改能源子系统
export function updateSubsystem(data) {
  return request({
    url: '/ems/subsystem',
    method: 'put',
    data: data
  })
}

// 删除能源子系统
export function delSubsystem(id) {
  return request({
    url: '/ems/subsystem/' + id,
    method: 'delete'
  })
}
